// Luca.tsx
"use client";

import React, { useState } from 'react';
import './Luca.css'; // Import specific styles for Luca

const Luca = () => {
  // State to keep track of the number of clicks
  const [clickCount, setClickCount] = useState(0);

  // Function to handle button click
  const handleClick = () => {
    setClickCount(clickCount + 1);
  };

  return (
    <div className="programmer-space luca">
      <h2>Luca's Space</h2>
      <p>Welcome, Luca! This is your programming space.</p>

      {/* Button to count clicks */}
      <button onClick={handleClick} className="click-button">
        Click me
      </button>
      <p>You've clicked the button {clickCount} times!</p>

      {/* Lorem Ipsum text */}
      <div className="lorem-ipsum">
        <p>
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
        </p>
      </div>
    </div>
  );
};

export default Luca;
